<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::IEvent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1IEvent.html">IEvent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classgg_1_1IEvent-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::IEvent Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Event_8hpp_source.html">Event.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::IEvent:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1IEvent.png" usemap="#gg::IEvent_map" alt=""/>
  <map id="gg::IEvent_map" name="gg::IEvent_map">
<area href="classgg_1_1KeyboardEvent.html" alt="gg::KeyboardEvent" shape="rect" coords="155,56,300,80"/>
<area href="classgg_1_1MouseButtonEvent.html" alt="gg::MouseButtonEvent" shape="rect" coords="155,112,300,136"/>
<area href="classgg_1_1MouseMovedEvent.html" alt="gg::MouseMovedEvent" shape="rect" coords="155,168,300,192"/>
<area href="classgg_1_1SceneButtonEvent.html" alt="gg::SceneButtonEvent" shape="rect" coords="155,224,300,248"/>
<area href="classgg_1_1SceneInputEvent.html" alt="gg::SceneInputEvent" shape="rect" coords="155,280,300,304"/>
<area href="classgg_1_1TimePassed.html" alt="gg::TimePassed" shape="rect" coords="155,336,300,360"/>
<area href="classgg_1_1WindowCloseEvent.html" alt="gg::WindowCloseEvent" shape="rect" coords="155,392,300,416"/>
<area href="classgg_1_1WindowResizeEvent.html" alt="gg::WindowResizeEvent" shape="rect" coords="155,448,300,472"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acbf64dbf915a0e0d66bce214266f8ac4"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#acbf64dbf915a0e0d66bce214266f8ac4">~IEvent</a> ()=default</td></tr>
<tr class="separator:acbf64dbf915a0e0d66bce214266f8ac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0154647492980621230ab6cdc3b3080b"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a>=0</td></tr>
<tr class="separator:a0154647492980621230ab6cdc3b3080b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a0ce169bdd9bd94235a58670a6e9d81cd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0ce169bdd9bd94235a58670a6e9d81cd">IEvent</a> ()=default</td></tr>
<tr class="separator:a0ce169bdd9bd94235a58670a6e9d81cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="acbf64dbf915a0e0d66bce214266f8ac4" name="acbf64dbf915a0e0d66bce214266f8ac4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbf64dbf915a0e0d66bce214266f8ac4">&#9670;&nbsp;</a></span>~IEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual gg::IEvent::~IEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0ce169bdd9bd94235a58670a6e9d81cd" name="a0ce169bdd9bd94235a58670a6e9d81cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ce169bdd9bd94235a58670a6e9d81cd">&#9670;&nbsp;</a></span>IEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::IEvent::IEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0154647492980621230ab6cdc3b3080b" name="a0154647492980621230ab6cdc3b3080b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0154647492980621230ab6cdc3b3080b">&#9670;&nbsp;</a></span>GetEventType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto gg::IEvent::GetEventType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classgg_1_1KeyPressedEvent.html#a59ebd4dc540d6cee0715652c0c09e868">gg::KeyPressedEvent</a>, <a class="el" href="classgg_1_1KeyReleasedEvent.html#a49587642a655c28b0c2d4042c0836e50">gg::KeyReleasedEvent</a>, <a class="el" href="classgg_1_1MouseMovedEvent.html#af843b5cca9b295ba561c35fa4529ce59">gg::MouseMovedEvent</a>, <a class="el" href="classgg_1_1MouseButtonPressedEvent.html#a4522038356b809323f197ab59bd41c43">gg::MouseButtonPressedEvent</a>, <a class="el" href="classgg_1_1MouseButtonReleasedEvent.html#a011e39cd63718e03bd7437bbe27b6174">gg::MouseButtonReleasedEvent</a>, <a class="el" href="classgg_1_1SceneButtonEvent.html#adade289dbb88f0a1a643c20556ad07da">gg::SceneButtonEvent</a>, <a class="el" href="classgg_1_1SceneToggleButtonEvent.html#a21dc1a85f71db970fdd2dee2c680ccca">gg::SceneToggleButtonEvent</a>, <a class="el" href="classgg_1_1SceneInputEvent.html#a97c6731055d87839c902a6b0965c59bf">gg::SceneInputEvent</a>, <a class="el" href="classgg_1_1TimePassed.html#a0083f74a21bee1347ff8addc1eac9b83">gg::TimePassed</a>, <a class="el" href="classgg_1_1WindowResizeEvent.html#a9efe9535c407317a826cd2c2a5e91ca7">gg::WindowResizeEvent</a>, <a class="el" href="classgg_1_1WindowCloseEvent.html#a9b45e959e620747f787a7c306987834c">gg::WindowCloseEvent</a>, <a class="el" href="classgg_1_1KeyboardEvent.html#a95443182d3146abfb2549ee1d9bdd72c">gg::KeyboardEvent</a>, and <a class="el" href="classgg_1_1MouseButtonEvent.html#a58fb187fa921178ef7802684371d968a">gg::MouseButtonEvent</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/core/<a class="el" href="Event_8hpp_source.html">Event.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
